Subject: bug#54564: 29.0.50; [PATCH] Use gsettings font rendering entries for pgtk builds

From: Pieter van Prooijen <[email-masked]>
Date: Sat, 26 Mar 2022 16:48:30 +0100

Hello All, 

Thanks for looking into my patch!, I'll fix the formatting issues you
mentioned and narrow the changes to the HAVE_PGTK define in the various
source files, so it's is only present for that build.

Not sure about having this functionality controlled by a user defined
variable (as is possible with using the system font), as far as I know,
the current cairo X backend doesn't have this as well, it will always
use the gsettings/xrdb defined parameters for rendering.

Regarding the re-rendering upon a config change, I'll have a look at
the options mentioned (clearing the font cache and marking each frame
for redisplay), but that will probably be a separate patch.

Kind Regards,

Pieter

On Sat, 2022-03-26 at 14:44 +0800, Po Lu wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> > Does the below fit the bill?
> > 
> >    clear_face_cache (true);
> > 
> > Or did you mean to do this only on a single frame (or on specific
> > selected frames)?  Then looking inside clear_face_cache will tell
> > you
> > how to do that.
> 
> It should be done for each frame on every display, so
> clear_face_cache
> probably does fit the bill.  (Though perhaps clear_font_cache on each
> window system frame by itself will be enough?)
> 
> > And one more thing: care should be taken if this is done in
> > response
> > to some async notification, because clearing all the faces will
> > need a
> > thorough redisplay.  Most probably all the affected frames need to
> > be
> > marked as "garbaged".
> 
> Thanks.  Pieter, do you need any help in implementing the feature
> along
> those lines?
> 
> > I don't see any references to that variable in the patch you are
> > discussing.  And its name and doc string don't seem to give any
> > clue
> > that it's relevant to this issue.  Is this only for fixed-pitch
> > fonts?
> 
> No, this is supposed to work for all fonts.
> 
> > Yes, I think so.
> 
> Sure, thanks.